Skip to content

Update identity source configuration

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Update the identity source configuration, you can set the identity source ID and name.

Method Name

ManagementClient.update_ext_idp

Request Parameters

NameTypeRequiredDefault ValueDescriptionExample Value
idstringyes-Identity Source ID60b49eb83fd80adb96f26e68
namestringyes-NameexampleName
tenantIdstringno-Tenant ID60b49eb83fd80adb96f26e68

Request Response

Type: ExtIdpSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (no return for successful requests). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ExtIdpDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "id": "60b49eb83fd80adb96f26e68",
    "name": "default",
    "logo": "https://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg",
    "tenantId": "60b49eb83fd80adb96f26e68",
    "type": "wechat"
  }
}

Data Structure

ExtIdpDto

nametypeIs this field required?DescriptionSample value
idstringyesIdentity source id60b49eb83fd80adb96f26e68
namestringyesIdentity source namedefault
logostringyesIdentity source logohttps://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg
tenantIdstringnoTenant ID60b49eb83fd80adb96f26e68
typestringyesIdentity source typewechat

Agent infrastructure for identity, memory, and web action.